package com.rjconsultores.ventaboletos.blocos.bancobrasil;

import java.util.Date;

import com.rjconsultores.ventaboletos.blocos.CabecalhoRemessa;

public class CabecalhoRemessaBancoBrasil implements CabecalhoRemessa {

	private Integer loteServico;
	private Integer cpfCnpj;
	private String numCpfCnpj;
	private String numConvenio;
	private String numCarteira;
	private String numVarCarteira;
	private String numAgencia;
	private String digAgencia;
	private String numContaCorrente;
	private String digContaCorrente;
	private String digAgenciaConta;
	private String nomeEmpresa;
	private Date dataGeracao;
	private Integer horaGeracao;
	private Integer numRemessa;
	private String densidadeArquivo;
	private Integer numeroSequencialRegistro;
	
	private CabecalhoLoteRemessaBancoBrasil cabecalhoLoteRemessaBancoBrasil;
	
	@Override
	public Integer getNumeroSequencialRemessa() {
		return numRemessa;
	}

	@Override
	public void setNumeroSequencialRemessa(Integer numeroSequencialRemessa) {
		numRemessa = numeroSequencialRemessa;
	}

	@Override
	public Integer getNumeroSequencialRegistro() {
		return numeroSequencialRegistro;
	}

	@Override
	public void setNumeroSequencialRegistro(Integer numeroSequencialRegistro) {
		this.numeroSequencialRegistro = numeroSequencialRegistro;

	}

	public Integer getCpfCnpj() {
		return cpfCnpj;
	}

	public void setCpfCnpj(Integer cpfCnpj) {
		this.cpfCnpj = cpfCnpj;
	}

	public String getNumCpfCnpj() {
		return numCpfCnpj;
	}

	public void setNumCpfCnpj(String numCpfCnpj) {
		this.numCpfCnpj = numCpfCnpj;
	}

	public String getNumConvenio() {
		return numConvenio;
	}

	public void setNumConvenio(String numConvenio) {
		this.numConvenio = numConvenio;
	}

	public String getNumCarteira() {
		return numCarteira;
	}

	public void setNumCarteira(String numCarteira) {
		this.numCarteira = numCarteira;
	}

	public String getNumVarCarteira() {
		return numVarCarteira;
	}

	public void setNumVarCarteira(String numVarCarteira) {
		this.numVarCarteira = numVarCarteira;
	}

	public String getNumAgencia() {
		return numAgencia;
	}

	public void setNumAgencia(String numAgencia) {
		this.numAgencia = numAgencia;
	}

	public String getDigAgencia() {
		return digAgencia;
	}

	public void setDigAgencia(String digAgencia) {
		this.digAgencia = digAgencia;
	}

	public String getNumContaCorrente() {
		return numContaCorrente;
	}

	public void setNumContaCorrente(String numContaCorrente) {
		this.numContaCorrente = numContaCorrente;
	}

	public String getDigContaCorrente() {
		return digContaCorrente;
	}

	public void setDigContaCorrente(String digContaCorrente) {
		this.digContaCorrente = digContaCorrente;
	}

	public String getDigAgenciaConta() {
		return digAgenciaConta;
	}

	public void setDigAgenciaConta(String digAgenciaConta) {
		this.digAgenciaConta = digAgenciaConta;
	}

	public String getNomeEmpresa() {
		return nomeEmpresa;
	}

	public void setNomeEmpresa(String nomeEmpresa) {
		this.nomeEmpresa = nomeEmpresa;
	}

	public Date getDataGeracao() {
		return dataGeracao;
	}

	public void setDataGeracao(Date dataGeracao) {
		this.dataGeracao = dataGeracao;
	}

	public Integer getHoraGeracao() {
		return horaGeracao;
	}

	public void setHoraGeracao(Integer horaGeracao) {
		this.horaGeracao = horaGeracao;
	}

	public String getDensidadeArquivo() {
		return densidadeArquivo;
	}

	public void setDensidadeArquivo(String densidadeArquivo) {
		this.densidadeArquivo = densidadeArquivo;
	}

	public CabecalhoLoteRemessaBancoBrasil getCabecalhoLoteRemessaBancoBrasil() {
		return cabecalhoLoteRemessaBancoBrasil;
	}
	
	public void setCabecalhoLoteRemessaBancoBrasil(CabecalhoLoteRemessaBancoBrasil cabecalhoLoteRemessaBancoBrasil) {
		this.cabecalhoLoteRemessaBancoBrasil = cabecalhoLoteRemessaBancoBrasil;
	}

	public Integer getLoteServico() {
		return loteServico;
	}

	public void setLoteServico(Integer loteServico) {
		this.loteServico = loteServico;
	}
}
